

/* ------------------------
   Typography (and primary body style)
------------------------ */
html {
	font: 16px/26px var(--default-font);
}

body {
	font-size: 16px;
	font-size: 1rem;
	line-height: 1.625em;
	font-weight: var(--fw-light);
	color: var(--default-color);
	min-width: 320px;
	text-align: left;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

p {
	margin: 0 0 1em;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, h6 {
	font-family: var(--secondary-font);
	color: var(--primary-color);
	font-weight: var(--fw-extra-light);
}

h2, .h2, h3, .h3, h4, .h4, h5, h6 {
	margin-top: 1em;
	margin-bottom: .5em;
	line-height: 100%;
}

.hdng {
	font-family: var(--secondary-font);
}

h1, .h1 {
	font-size: 36px;
	line-height: 1.05em;
	@media (min-width: 768px) {
		font-size: 50px;
	}
	@media (min-width: 1060px) {
		font-size: 55px;
	}
}

h2, .h2 {
	font-size: 32px;
	font-size: 2rem;
	@media (min-width: 1060px) {
		font-size: 40px;
		font-size: 2.5rem;
		line-height: 1.45em;
	}
}

h3, .h3 {
	@media (min-width: 1060px) {
		font-size: 34px;
		font-size: 2.125rem;
		line-height: 1.25em;
	}
}

h4, .h4, h5, h6 {
	@media (min-width: 1060px) {
		font-size: 26px;
		font-size: 1.625rem;
	}
}

a {
	color: var(--primary-color);
	text-decoration: underline;
	transition: all 0.3s;
	&:focus {
		outline: none;
		text-decoration: none;
	}
}

/*
*::-webkit-scrollbar {
  display: none;
}
* {
  scrollbar-width: none;
}
*/

.skipto {
	display: block;
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
}

#error_txt {
	padding-bottom: 100px;
}

section {
	padding: 20px;
	@media (min-width: 768px) {
		padding: 20px 40px;
	}
	@media (min-width: 1060px) {
		padding: 20px 40px;
	}
	/* @media (min-width: 1060px) {
		padding-left: calc(40px + (50vw - (1060px / 2)));
		padding-right: calc(40px + (50vw - (1060px / 2)));
		padding-top: 20px;
		padding-bottom: 20px;
	} */
	@media (min-width: 1550px) {
		padding-left: calc(40px + (50vw - (1550px / 2)));
		padding-right: calc(40px + (50vw - (1550px / 2)));
		padding-top: 20px;
		padding-bottom: 20px;
	}
}

.contain,
.section-contain {
	padding: 0 20px;
	@media (min-width: 768px) {
		padding: 0 40px;
	}
	/* @media (min-width: 1060px) {
		padding-left: calc(40px + (50vw - (1060px / 2)));
		padding-right: calc(40px + (50vw - (1060px / 2)));
	} */
	@media (min-width: 1550px) {
		padding-left: calc(40px + (50vw - (1550px / 2)));
		padding-right: calc(40px + (50vw - (1550px / 2)));
		padding-top: 0;
		padding-bottom: 0;
	}
}


/* ***************************************** */
/* --------------- Layouts ----------------- */
/* ***************************************** */


/* -----------------------
	Basic layout
----------------------- */

.container, .container-full { position: relative; }

.container {
	max-width: var(--desktop);
	margin: 0 auto;
	text-align: left;
}

/* ------------------------
	Header
------------------------ */

@import url("header.css");

/* ------------------------
	Nav
------------------------ */

@import url("menu_touch.css");
@import url("menu_hover.css");

/* ------------------------
	Content
------------------------ */

@import url("content.css");

/* ------------------------
	Aside
------------------------ */

@import url("sidebar.css");

/* ------------------------
	Footer Layout
------------------------ */

@import url("footer-layout.css");
@import url("footer.css");
@import url("sticky-footer.css");

/* ------------------------
	Forms & Form Elements
------------------------ */

@import url("contact.css");

/* ***************************************** */
/* ---------- Specific Templates ----------- */
/* ***************************************** */

/* ------------------------
	Home Page
------------------------ */

@import url("front.css");

/* ------------------------
	Blog/Category/Archives
------------------------ */

@import url("blog.css");

/* ------------------------
	Gallery
------------------------ */

@import url("gallery.css");

/* ------------------------
	Flyout / Popup
------------------------ */

@import url("flyers.css");

/* ------------------------
	Modules
------------------------ */

@import url("fcs.css");
@import url("modules.css");

/* ------------------------
	Random Internal Pages
------------------------ */


